// 告警确认

import request from '@/utils/request'
import { parseStrEmpty } from "@/utils/ruoyi";

// 巡视结果列表
export function listPartrolResult (query) {
  return request({
    url: '/patrol/resultmain/list',
    method: 'get',
    params: query
  })
}

// 巡视结果修正
export function correctPartrolResult (params) {
  return request({
    url: '/patrol/partrolresult/edit',
    method: 'post',
    data: params
  })
}

// 巡视详情
export function partrolResultDetail (params) {
  return request({
    url: '/patrol/partrolresult/detail',
    method: 'get',
    params
  })
}

// 巡视详情列表
export function listPartrolResultDetail (params) {
  return request({
    url: '/patrol/partrolresult/list',
    method: 'get',
    params
  })
}

// 归档
export function partrolResultArchive (params) {
  return request({
    url: '/patrol/resultmain/updateInfo',
    method: 'get',
    params
  })
}
